len = 250.0
half_pool = len*len/4

def x_side(x, y): # if the point is on the bottom side
    if x*2 <= len: # will connect to the hypotenus
        yy = half_pool * 2/(len-x)
        return len-yy, yy
    else: # will connect to the vertical edge
        return 0.0, half_pool * 2 / x

def hyp(x, y): # if the point is on the hypotenus
    if x*2 <= len: # on the "upper half"
        return len - half_pool * 2 / y, 0.0
    else: # on the "lower half", just swap the problem and swap the answer
        return hyp(y,x)[::-1] # swap the returned x and y

x, y = map(int, input().split())

if y == 0:
    nx, ny = x_side(x, y)
elif x == 0:
    ny, nx = x_side(y, x)
else:
    nx, ny = hyp(x, y)

print("{0:0.2f} {1:0.2f}".format(nx, ny))
